#footer {
    padding: 1.5em 1.5em;
    border-top: 1px solid #CCC;
    margin-top: 2em;
}

#footer-nav {
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 2em;
}

#footer a {
    color: #999999;
    text-decoration: none;
    font-family: "Roboto Condensed", sans-serif;
    transition: 200ms;
}

#footer a:hover {
    color: black;
}

nav#main-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1em 1em;
    color: white;
}

#logo {
    width: 150px;
    height: 150px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: white;
}
#logo img {
    width: 100%;
}

#user-account {
    width: 100px;
    height: 100px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

#user-account img {
    width: 100%;
    border-radius: 50%;
}

#display-shop-profile {
    border: none;
    background-color: transparent;
}

#display-shop-profile:focus {
    outline: none;
}

#nav-links {
    font-family: 'Roboto Condensed', sans-serif;
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
    gap: 3em;
    list-style: none;
    padding-left: 0px;

}

#nav-links a {
    color: white;
    text-decoration: none;
}

#nav-links a img {
    max-width: 150px;
}

/* Styles for the student profile modal */
#student-profile-container {
    font-family: 'Roboto Condensed', sans-serif;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    transform: translateX(100vw);
    transition: transform 1s ease-in-out;
    visibility: hidden;
}

#student-profile-container.slide-in {
    transform: translateX(0);
    visibility: visible;
}


/* Responsive adjustments (optional - adjust as needed) */
@media (max-width: 768px) { /* Medium screens and below (md breakpoint in Tailwind is 768px) */
    nav#main-nav {
        padding-top: 0px;
        padding-bottom: 0px;
    }
    #logo {
        width: 16vw;
        height: 16vw;
    }

    #logo img {
        max-width: 100%;
        border-radius: 50%;
        background-color: white;
    }

    #user-account {
        width: 16%;
    }
    #nav-links {
        width: 30%;
        gap: 1em;
    }
    #nav-links a {
        width: 25%;
    }
    #nav-links a img {
        max-width: 100%;
    }
}